Bug 178998 - isapnp probing not working correctly
isapnp probing not working correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
: 183263 186535 187338 189037 196649 201528 (view as bug list)
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2006-01-26 06:37 EST by Joachim Frieben
Modified: 2012-08-16 17:40 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:40:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsound.log for CS4236B on PR440FX (3.10 KB, text/plain)
2006-01-27 09:04 EST, Joachim Frieben
no flags Details
scsound.log for CS4236B on PR440FX (2.99 KB, text/plain)
2006-02-01 04:23 EST, Joachim Frieben
no flags Details
hwconf file for PR440FX (3.46 KB, text/plain)
2006-02-01 04:26 EST, Joachim Frieben
no flags Details
screenshot of system-config-soundcard-1.2.14-5 output window (14.58 KB, image/png)
2006-02-01 04:28 EST, Joachim Frieben
no flags Details
scsound.log for PR440FX (3.28 KB, text/plain)
2006-02-03 01:55 EST, Joachim Frieben
no flags Details
my scsound.log (3.60 KB, text/plain)
2006-02-22 06:20 EST, Takaki Hiroshi
no flags Details
scsound.log for CS4236B on PR440FX without sound modules loaded (3.96 KB, text/plain)
2006-02-26 06:24 EST, Joachim Frieben
no flags Details
scsound.log for CS4236B on PR440FX with sound modules loaded (8.97 KB, text/plain)
2006-02-26 06:25 EST, Joachim Frieben
no flags Details
device id & modinfo (2.84 KB, text/plain)
2006-03-05 10:54 EST, Takaki Hiroshi
no flags Details
script for /etc/udev/isapnp (460 bytes, text/plain)
2006-03-05 13:54 EST, Jon Burgess
no flags Details
part of /var/log/messages corresponding to "modprobe snd-cs4236" (15.70 KB, text/plain)
2008-06-17 13:48 EDT, Andre Robatino
no flags Details

  None (edit)
Description Joachim Frieben 2006-01-26 06:37:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051215 Epiphany/1.9.5.1

Description of problem:
After installing the base system, "firstboot" correctly displays
the "ISA" sound device "CS4236B" on my "PR440FX" board.
However, no sound module gets loaded, no "/proc/alsa" entry is
present, and sound is disabled.

Version-Release number of selected component (if applicable):
anaconda-10.91.4-1

How reproducible:
Always

Steps to Reproduce:
1. Install "FC5 test2".
2. Check presence of sound device.
  

Actual Results:  No sound device is available.

Expected Results:  Sound should work out of the box as it used to do for "FC4"
and "FC5 test1".

Additional info:

In "modprobe.conf", a corresponding section is present. However,
there used to be an "install" section too which is now missing:

alias snd-card-0 snd-cs4236
options snd-card-0 index=0
options snd-cs4236 index=0
remove snd-cs4236 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; }; /sbin/modprobe -r --ignore-remove snd-cs4236

After manually loading "snd-cs4236.ko", the sound device gets created
and upon log in, "GNOME" sound is working as expected.
Comment 1 Martin Stransky 2006-01-27 03:13:06 EST
Could you please attach the /root/scsound.log file?
Comment 2 Joachim Frieben 2006-01-27 09:02:27 EST
File "scsound.log" is attached below. I also add the corresponding
section of "/var/log/dmesg":

  isapnp: Scanning for PnP cards...
  isapnp: Card 'CS4236B Audio'
  isapnp: 1 Plug & Play card detected total

Note: current "system-config-soundcard-1.2.14-4" was used to create
  "scsound.log". Because the sound device is of type "ISA", the log
  file may not be very helpful.
Comment 3 Joachim Frieben 2006-01-27 09:04:43 EST
Created attachment 123772 [details]
scsound.log for CS4236B on PR440FX
Comment 4 Martin Stransky 2006-01-30 05:16:38 EST
Could you please check the latest system-config-soundcard (1.2.14-5) and attach
/etc/scsound.log file?
Comment 5 Joachim Frieben 2006-02-01 04:21:41 EST
Still now fixed in "system-config-soundcard-1.2.14-5". This might
be due to the detection of multiple audio devices assigned to the
"CS4236B" audio chip. See my "/etc/sysconfig/hwconf" file attached
below. Strange enough, the GUI output clearly displays the correct
driver "snd-cs4236" but for some reason it does not get loaded.
Concerning "scsound.log", the "kudzu" section is still empty which
contradicts the changelog info of the sound configuration tool.
Btw, "scsound.log" is created in "/root" and not in "/etc" as stated
above, right?
Comment 6 Joachim Frieben 2006-02-01 04:23:23 EST
Created attachment 123949 [details]
scsound.log for CS4236B on PR440FX
Comment 7 Joachim Frieben 2006-02-01 04:26:42 EST
Created attachment 123950 [details]
hwconf file for PR440FX
Comment 8 Joachim Frieben 2006-02-01 04:28:46 EST
Created attachment 123951 [details]
screenshot of system-config-soundcard-1.2.14-5 output window
Comment 9 Joachim Frieben 2006-02-03 01:53:14 EST
Still not fixed in "system-config-soundcard-1.2.14-5". As before, please
find attached "scsound.log".
Comment 10 Joachim Frieben 2006-02-03 01:55:04 EST
Created attachment 124095 [details]
scsound.log for PR440FX
Comment 11 Martin Stransky 2006-02-03 03:39:59 EST
Thanks, it's definitenly a bug in kudzu.
Comment 12 Joachim Frieben 2006-02-03 16:44:32 EST
I should add that the following 3 three lines are added to
"/var/log/messages" upon system boot:

  Feb  3 22:33:12 localhost kernel: isapnp: Card 'CS4236B Audio'

and after manually loading "snd-cs4236":

  Feb  3 22:45:42 localhost kernel: CS4236+ MPU401 PnP manual resources
    are invalid, using auto config
  Feb  3 22:45:42 localhost kernel: CS4236+: MPU401 not detected
Comment 13 Joachim Frieben 2006-02-22 03:10:41 EST
After a fresh install of "FC5T3", sound still does not work. However,
after application of all updates as of 02/21/06 and rebooting the
system, the issue is gone. I assume the ISAPNP problem got fixed in
kernel 2.6.15-1.1969_FC5.
Comment 14 Takaki Hiroshi 2006-02-22 06:20:09 EST
Created attachment 125016 [details]
my scsound.log

still not works for me.

kernel-2.6.15-1.1969_FC5
kudzu-1.2.30-1

driver: snd-sbawe
desc: "Creative SB AWE64 Gold - CTL0044"
Comment 15 Joachim Frieben 2006-02-26 06:22:11 EST
Right, I have to withdraw the claim made in comment #13 according to
which the issue is solved for current "rawhide". I guess, I inserted
the module by hand and got confused afterwards.
Unfortunately, the issue is thus still present. I have attached the
log file "scsound.log" for 2 cases: first without the sound modules
being loaded and then after loading the sound modules manually.
I hope this helps to nail down the problem. Btw, "Fedora Core" is
not the only distro which is affected by this particular issue.
Comment 16 Joachim Frieben 2006-02-26 06:24:26 EST
Created attachment 125272 [details]
scsound.log for CS4236B on PR440FX without sound modules loaded
Comment 17 Joachim Frieben 2006-02-26 06:25:14 EST
Created attachment 125273 [details]
scsound.log for CS4236B on PR440FX with sound modules loaded
Comment 18 Jon Burgess 2006-03-01 17:07:10 EST
*** Bug 183263 has been marked as a duplicate of this bug. ***
Comment 19 Jon Burgess 2006-03-01 17:20:03 EST
I've spent some time looking into how udev performs the automatic module
loading. It appears that the most seemless way for drivers to be loaded is for
the sysfs device directory to contain a "modalias" entry. This is done for
almost all the kernel device subsystem (PCI, USB, PCMCIA etc) and allows
modprobe to load the appropriate device by referencing the
/lib/modules/<ver>/modules.*map files. 

The kernel doesn't currently provide the modalias entry for ISAPNP devices.
Hence the ISA PNP drivers do not get automatically loaded (like snd-cs4236
here). Fixing this would require new code in the kernel.

This could be worked around with an extra script in /etc/udev/rules.d/ but the
simpler workaround would be just to do "modprobe snd-card-0" at startup.
Comment 20 Joachim Frieben 2006-03-02 06:19:04 EST
Modprobing the kernel module is what I had done to produce the
"scsound.log" output with enabled sound. However, in my original post,
I had clearly pointed that out that this used to work for "FC4" which
is a recent, "udev" and "2.6.x" kernel based distribution. This seems
to contradict comment #19, unless dramatic changes in "udev" or the
kernel have taken place in the meantime which is unlikely given that
the versions used in "FC4" are essentially up to date.
Before upgrading to "FC5" final, I might reinstall "FC4" just to check
what "scsound.log", etc. used to looked in that case.
Comment 21 Jon Burgess 2006-03-02 14:53:14 EST
On FC4 it was udev plus the hotplug package which worked together to load the
ISA PNP modules. The hotplug package no longer exists on FC5T3. 

http://www.redhat.com/archives/fedora-devel-list/2006-January/msg01038.html
From "rawhide report: 20060121 changes"

  Removed package hotplug
...

The initscripts package even has hotplug listed in the obsoletes so it'll get
removed if you do an upgrade from FC4. Bill Nottingham added the obsoletes line
into the initscripts package and the bug currently assigned to him.

# rpm -q --changelog initscripts
...
* Fri Jan 20 2006 Bill Nottingham <notting@redhat.com> 8.21-1
- move handling of network hotplug events here, add appropriate udev
  rules, obsolete hotplug
Comment 22 Bill Nottingham 2006-03-02 14:56:27 EST
Assinging to the kernel; this really does need to get fixed in the kernel ISAPnP
layer - we don't special-case any buses that don't have modalias files now.
Comment 23 Bill Nottingham 2006-03-05 00:30:29 EST
Although,  it may be hackable. Does adding:

SUBSYSTEM=="pnp",       ENV{MODALIAS}!="?*",    RUN+="/bin/sh -c 'while read id;
do /sbin/modprobe pnp:d$$id; done < /sys$devpath/id'"

to /etc/udev/rules.d/50-udev.rules fix it for you?
Comment 24 Takaki Hiroshi 2006-03-05 10:54:45 EST
Created attachment 125671 [details]
device id & modinfo

not works for me. I can load module by a following command:

# modprobe pnp:cCTL0044dCTL0031dCTL0021

but can't it by a following command:

# modprobe pnp:dCTL0044
FATAL: Module pnp:dCTL0044 not found.

Is the alias of snd-sbawe wrong?
Comment 25 Joachim Frieben 2006-03-05 11:03:28 EST
For my PR440FX onbard CS4236B sound chip, no improvement either.
Comment 26 Jon Burgess 2006-03-05 13:54:57 EST
Created attachment 125674 [details]
script for /etc/udev/isapnp

Here is my attempt at a small script for loading the appropriate driver. Place
it in /etc/udev/isapnp and then add a rule into a udev config file like:

SUBSYSTEM=="pnp",	ENV{MODALIAS}!="?*",	RUN+="/etc/udev/isapnp
/sys$devpath"

On my machine this will attempt to modprobe:
 pnp:cCSC6835dCSC0000
 pnp:cCSC6835dCSC0000dCSC000fdCSC0010dCSC0003

Unfortunately neither of these match the alias's listed from the driver so it
still doesn't get loaded:
# /sbin/modinfo  snd-cs4236 | grep CSC6835
alias:		pnp:cCSC6835dCSC0000dCSC0010dCSC0003*
alias:		pnp:cCSC6835dCSC0000dCSC0010*

I guess this should be easily fixable by tweaking the driver code to provide an
alias which would match one of these. If all the ISAPNP modules would match on
"pnp:c<CARD>d<DEVICE>" then a rule like this looks like it would be sufficient
without needing an extra script:

SUBSYSTEM=="pnp",	ENV{MODALIAS}!="?*",	SYSFS{card_id}=="?*" RUN+="/sbi

n/modprobe pnp:c$sysfs{card_id}d$sysfs{id}"

FWIW, there also appear to be some PNP devices with no card_id, something like
this looks like it would work for them...

SUBSYSTEM=="pnp",	ENV{MODALIAS}!="?*",	SYSFS{card_id}!="?*" RUN+="/sbi

n/modprobe pnp:d$sysfs{id}"
Comment 27 Bill Nottingham 2006-03-06 12:36:18 EST
Not to be glib, but this is why it probably needs fixed up on the kernel side -
different modules export the ids differently?
Comment 28 Sergey Vlasov 2006-03-13 12:31:25 EST
(In reply to comment #26)
> On my machine this will attempt to modprobe:
>  pnp:cCSC6835dCSC0000
>  pnp:cCSC6835dCSC0000dCSC000fdCSC0010dCSC0003
> 
> Unfortunately neither of these match the alias's listed from the driver so it
> still doesn't get loaded:
> # /sbin/modinfo  snd-cs4236 | grep CSC6835
> alias:		pnp:cCSC6835dCSC0000dCSC0010dCSC0003*
> alias:		pnp:cCSC6835dCSC0000dCSC0010*

AFAIK, the device ID list here is really a set - ordering does not matter, just
all device IDs mentioned in the driver's table must be present in the device
description.  This can be solved this way:

1) Sort device IDs - so the isapnp script will request:

 pnp:cCSC6835dCSC0000
 pnp:cCSC6835dCSC0000dCSC0003dCSC000fdCSC0010

2) Add "*" in module aliases around (sorted) device IDs:

alias:		pnp:cCSC6835*dCSC0000*dCSC0003*dCSC0010*
alias:		pnp:cCSC6835*dCSC0000*dCSC0010*

Now "pnp:cCSC6835dCSC0000dCSC0003dCSC000fdCSC0010" will match alias
"pnp:cCSC6835*dCSC0000*dCSC0003*dCSC0010*" (or even
"pnp:cCSC6835*dCSC0000*dCSC0010*").
Comment 29 Andre Robatino 2006-03-19 22:39:03 EST
  This bug still exists in FC5 final.  I have a CS4235 ISA PnP sound chip.  FC5
correctly identifies the correct module as snd-cs4236 but doesn't load it due to
a missing "install" line in /etc/modprobe.conf.  Due to the fact that the syntax
of the "remove" line has changed slightly from FC4, I am loath to just copy the
install line from FC4, but I can get sound by manually loading the module. 
Someone please report here what the correct lines should be, so affected people
reading this can copy and paste them in.

Sound-related lines in FC4 modprobe.conf:

alias snd-card-0 snd-cs4236
options snd-card-0 index=0
install snd-cs4236 /sbin/modprobe --ignore-install snd-cs4236 &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-cs4236 { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-cs4236

Sound-related lines in FC5 modprobe.conf:

alias snd-card-0 snd-cs4236
options snd-card-0 index=0
options snd-cs4236 index=0
remove snd-cs4236 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-cs4236
Comment 30 Jon Burgess 2006-03-20 16:20:15 EST
The modprobe.conf file in comment 29 looks OK to me. 
No changes to this file are going to improve the loading of this module. 

I think the simplest solution is to do:

# echo "/sbin/modprobe snd-card-0" >> /etc/rc.local

modprobe will map snd-card-0 to the real driver using the alias line from the
modprobe.conf. This will ensure that whatever module is configured will get
loaded on every boot. 

Does anyone else has a better solution?
Comment 31 Martin Stransky 2006-03-30 04:16:54 EST
*** Bug 186535 has been marked as a duplicate of this bug. ***
Comment 32 Bill Nottingham 2006-04-03 17:45:51 EDT
*** Bug 187338 has been marked as a duplicate of this bug. ***
Comment 33 Bill Nottingham 2006-06-29 01:01:38 EDT
*** Bug 196649 has been marked as a duplicate of this bug. ***
Comment 34 Robert Hancock 2006-08-15 19:55:15 EDT
*** Bug 201528 has been marked as a duplicate of this bug. ***
Comment 35 Joachim Frieben 2006-09-02 11:34:35 EDT
Issue still present in "kernel-2.6.17-1.2608.fc6".
Comment 36 Andre Robatino 2006-10-26 07:38:05 EDT
  Bug still exists in FC6 final.
Comment 37 Dave Jones 2006-11-07 01:19:46 EST
*** Bug 189037 has been marked as a duplicate of this bug. ***
Comment 38 Joachim Frieben 2007-06-10 05:08:42 EDT
Bug still present in F7 final.
Comment 39 Syed Zeeshan Zubair Shah 2007-08-17 13:58:30 EDT
Finally figured out the sound card issue on my optiplex gx1 with fedora core 5
with a cs42346B isapnp card all you needed to do was to write a line in
/etc/rc.d/rc.local that is modprobe snd-card-0 nothing else. A word of advise
first check if the /etc/modprobe.conf file contains alias snd-card-0 snd-cs4236
is not deleted accidentally while trying to figure out how to make the sound
card work. If its not there type it out as above. Dont forget to restart.
Comment 40 Joachim Frieben 2007-08-17 15:41:35 EDT
(In reply to comment #39)
> Finally figured out the sound card issue on my optiplex gx1 with fedora core 5
> with a cs42346B isapnp card all you needed to do was to write a line in
> /etc/rc.d/rc.local that is modprobe snd-card-0 nothing else.ยด

This has already been suggested in comment #30.
Comment 41 Bug Zapper 2008-04-03 12:48:47 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 42 Bug Zapper 2008-05-06 20:20:29 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 43 Andre Robatino 2008-05-13 04:12:18 EDT
Still broken in F9 (someone please change Version to 9 and Status to ASSIGNED).
 "modprobe snd-card-0" no longer works, and neither does "modprobe snd-slot-0"
or "modprobe snd-cs4236" (the latter causes modules to load, but my CS4235 sound
chip still isn't detected).  Anyone know the new way to fix this?
Comment 44 Andre Robatino 2008-06-02 21:43:41 EDT
Still not able to get sound working even after applying all updates through June
2, and putting "modprobe snd-cs4236" in /etc/rc.local (and verifying after boot
that the corresponding modules are loaded).  Someone please increase the
severity of this bug since this now prevents sound from working at all (as
opposed to the simple annoyance of adding a line to rc.local that it was before).
Comment 45 Jaroslav Kysela 2008-06-17 05:39:33 EDT
What is related to sound in /var/log/messages after manual modprobe in F9?
Comment 46 Andre Robatino 2008-06-17 13:48:52 EDT
Created attachment 309645 [details]
part of /var/log/messages corresponding to "modprobe snd-cs4236"
Comment 47 Andre Robatino 2008-06-17 13:50:11 EDT
Public Smolt URL of machine:

http://www.smolts.org/client/show/pub_64723aff-6813-4fac-835f-071001487668

This machine is fully updated as of today.
Comment 48 Jaroslav Kysela 2008-06-18 02:30:29 EDT
I don't see any error in /var/log/messages . The card appears to be detected
correctly. Could you describe what does not work correctly? Also, please attach
output from 'cat /proc/asound/cards' after modprobe .
Comment 49 Andre Robatino 2008-06-18 03:11:28 EDT
After booting up, I first go to a VT and do "modprobe snd-cs4236".  Then I log
into X as an ordinary user.  The output of "cat /proc/asound/cards" is

-begin-
 0 [CS4235         ]: CS4235 - CS4235
                      CS4235 at 0x534, irq 5, dma 1&3
-end-

The volume control applet in the upper right has an x indicating that sound is
not working.  Clicking on it gives the message

-begin-
The volume control did not find any elements and/or devices to control. This
means either that you don't have the right GStreamer plugins installed, or that
you don't have a sound card configured.

You can remove the volume control from the panel by right-clicking the speaker
icon on the panel and selecting "Remove From Panel" from the menu.
-end-

As mentioned before, this machine is fully updated, and has all the GStreamer
packages installed originally in a standard Office install, plus Software
Development.  I have another, newer, machine with essentially the same set of
packages and sound works normally there (but that machine doesn't have an ISA
sound card).
Comment 50 Jaroslav Kysela 2008-06-18 04:22:20 EDT
It's not fault of ALSA (kernel driver), but blame gstreamer. Try 'alsamixer' on
command line, if you can set volume. Reassigning to gstreamer owner.
Comment 51 Andre Robatino 2008-06-18 08:52:36 EDT
This bug originally concerned the failure to automatically configure isapnp
sound cards, and that problem still exists (although considering how obsolete
isapnp is nowadays it probably won't ever get fixed, but if getting sound
working is just a matter of putting a modprobe line in /etc/rc.local, I can live
with that).  I didn't realize my present problem was unrelated; if I had, I
would have filed a separate gstreamer bug.  Is it possible to split off this
bug's comments from around comment #44 to create a new bug report?  If not, I
would rather just create a new bug report from scratch and have this one
reverted from gstreamer back to its original component.
Comment 52 Andre Robatino 2008-06-18 20:36:49 EDT
I filed a new gstreamer bug #452052 for my problem.
Comment 53 Andre Robatino 2008-06-19 23:54:54 EDT
*** Bug 452052 has been marked as a duplicate of this bug. ***
Comment 54 Andre Robatino 2008-06-19 23:56:08 EDT
I closed bug #452052 as a duplicate of this one since the gstreamer maintainer
considers this to be a kernel bug.
Comment 55 Andre Robatino 2008-06-20 02:36:58 EDT
I decided to reopen bug #452052 since this bug (having to manually configure the
sound card) is different and less severe than that one (sound not working at all
even after manual configuration).
Comment 56 Adam Jackson 2008-07-27 20:55:42 EDT
Moving this bug back to kernel, per comments #51 through #54.

Comment #50 is flat out wrong.  Probing hardware config and loading kernel
modules in response is not gstreamer's job.  If there's a missing isapnp id for
the device that's the kernel's job to fix.
Comment 57 Joachim Frieben 2008-08-08 12:55:13 EDT
F10 Alpha loads the snd-cs4236 module correctly! Regarding F9, kernel 2.6.26.1 is still faulty although udev or ALSA might be the true culprits.
Comment 58 Andre Robatino 2008-08-08 12:59:04 EDT
You mean it loads it automatically?  And does the sound actually work?
Comment 59 Joachim Frieben 2008-08-08 13:13:34 EDT
(In reply to comment #58)
The module does get loaded automatically without any tweaking (modprobing snd-cs4236 in rc.local, etc.) during start-up which is noticeable through a clicking sound.
Sound is however broken as it is in F9, too: error messages related to the snd-cs4236 module are reported by dmesg. But that's a different bug.
Comment 60 Andre Robatino 2008-09-23 20:51:43 EDT
I just verified that my sound module snd-cs4236 now loads automatically with the latest stable F9 kernel (kernel-2.6.26.3-29.fc9.i686).  So this bug should be closed.  Unfortunately, sound is now hosed due to non-kernel related bugs, the most serious of which is that pulseaudio doesn't support ISA devices.  There is some discussion of this at bug #452052.  That bug was also filed against the kernel and will also need to be closed, but I would like to file new bug(s) against the proper component(s) which are causing the present problems.  Anyone who knows more about this, please let me know.
Comment 61 Bug Zapper 2009-06-09 18:05:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 62 Joachim Frieben 2011-03-03 14:25:10 EST
Current F13 including kernel-2.6.34.7-66.fc13.i686 does not load kernel module snd-cs4236.ko for an onboard CS4236B ISA sound chip automatically, thus there is no sound after booting the system. After executing 'modprobe snd-cs4236', dmesg shows some trailing lines:

  cs423x-pnpbios 00:01.00: activated
  cs423x-pnpbios 00:01.00: disabled
  cs423x-pnpbios: probe of 00:01.00 failed with error -2
  cs4232_isapnp 00:01.00: activated
  cs4232_isapnp 00:01.02: activated
  cs4232_isapnp 00:01.03: activated ,

and "Sound Preferences" now correctly lists the hardware device CS4236B.
Comment 63 Bug Zapper 2011-06-02 14:44:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 64 Andre Robatino 2011-06-02 15:42:17 EDT
snd-cs4236 is not automatically loaded in F14 either. I can manually load it with "modprobe snd-cs4236", which causes the following lines to be added to dmesg:

[  449.276635] cs423x-pnpbios 01:01.00: [dma 1]
[  449.276687] cs423x-pnpbios 01:01.00: [dma 3]
[  449.276887] cs423x-pnpbios 01:01.00: [irq 5]
[  449.276981] cs423x-pnpbios 01:01.00: [io  0x0534-0x0537]
[  449.288660] cs423x-pnpbios 01:01.00: [io  0x0388-0x038b]
[  449.288745] cs423x-pnpbios 01:01.00: [io  0x0220-0x022f]
[  449.291778] cs423x-pnpbios 01:01.00: activated
[  449.340803] cs423x-pnpbios 01:01.00: disabled
[  449.369240] cs423x-pnpbios: probe of 01:01.00 failed with error -2
[  449.369874] cs4232_isapnp 01:01.00: [dma 1]
[  449.369920] cs4232_isapnp 01:01.00: [dma 3]
[  449.370225] cs4232_isapnp 01:01.00: [irq 5]
[  449.370315] cs4232_isapnp 01:01.00: [io  0x0534-0x0537]
[  449.370393] cs4232_isapnp 01:01.00: [io  0x0388-0x038b]
[  449.370470] cs4232_isapnp 01:01.00: [io  0x0220-0x022f]
[  449.373492] cs4232_isapnp 01:01.00: activated
[  449.419975] cs4232_isapnp 01:01.02: [io  0x0120-0x0127]
[  449.422630] cs4232_isapnp 01:01.02: activated
[  449.454740] cs4232_isapnp 01:01.03: [io  0x0330-0x0331]
[  449.457307] cs4232_isapnp 01:01.03: activated

and then sound works. (The volume is very low, but I probably just need to adjust one of the many volume controls.)
Comment 65 Andre Robatino 2011-06-02 15:44:04 EDT
Please change the Version to 14, as for some reason I am not allowed to change that particular field, though I am allowed to change others.
Comment 66 Joachim Frieben 2011-06-05 05:53:32 EDT
For kernel-2.6.35.13-92.fc14, dmesg returns:

  [    3.833455] isapnp: Scanning for PnP cards...
  [    3.963401]  00:01: card 'CS4236B Audio'
  [    3.963423] isapnp: 1 Plug & Play card detected total

but no sound module is loaded. Running 'modprobe snd-cs4236' manually results in the following section being appended to the output of dmesg:

  [13965.865182] cs423x-pnpbios 00:01.00: [dma 1]
  [13965.865222] cs423x-pnpbios 00:01.00: [dma 3]
  [13965.865512] cs423x-pnpbios 00:01.00: [irq 5]
  [13965.865575] cs423x-pnpbios 00:01.00: [io  0x0534-0x0537]
  [13965.865607] cs423x-pnpbios 00:01.00: [io  0x0388-0x038b]
  [13965.865638] cs423x-pnpbios 00:01.00: [io  0x0220-0x022f]
  [13965.868919] cs423x-pnpbios 00:01.00: activated
  [13965.874582] cs423x-pnpbios 00:01.00: disabled
  [13965.896246] cs423x-pnpbios: probe of 00:01.00 failed with error -2
  [13965.897180] cs4232_isapnp 00:01.00: [dma 1]
  [13965.897210] cs4232_isapnp 00:01.00: [dma 3]
  [13965.897481] cs4232_isapnp 00:01.00: [irq 5]
  [13965.897541] cs4232_isapnp 00:01.00: [io  0x0534-0x0537]
  [13965.897572] cs4232_isapnp 00:01.00: [io  0x0388-0x038b]
  [13965.897606] cs4232_isapnp 00:01.00: [io  0x0220-0x022f]
  [13965.900882] cs4232_isapnp 00:01.00: activated
  [13965.902433] cs4232_isapnp 00:01.02: [io  0x0120-0x0127]
  [13965.905122] cs4232_isapnp 00:01.02: activated
  [13965.905338] cs4232_isapnp 00:01.03: [irq 9]
  [13965.905374] cs4232_isapnp 00:01.03: [io  0x0330-0x0331]
  [13965.908146] cs4232_isapnp 00:01.03: activated
Comment 67 Fedora End Of Life 2012-08-16 17:40:09 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.